org.apache.mina.proxy.filter

## Class ProxyHandshakeIoBuffer

- java.lang.Object
- - org.apache.mina.core.buffer.IoBuffer
  - - org.apache.mina.core.buffer.IoBufferWrapper
    - - org.apache.mina.proxy.filter.ProxyHandshakeIoBuffer

- All Implemented Interfaces:
    Comparable<IoBuffer>

      public class ProxyHandshakeIoBuffer
      extends IoBufferWrapper

  ProxyHandshakeIoBuffer.java - `IoBuffer` wrapper to indicate handshake related messages which should not be passed upstream of the `ProxyFilter`.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyHandshakeIoBuffer(IoBuffer buf)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.core.buffer.IoBufferWrapper

      `array, arrayOffset, asCharBuffer, asDoubleBuffer, asFloatBuffer, asInputStream, asIntBuffer, asLongBuffer, asOutputStream, asReadOnlyBuffer, asShortBuffer, buf, capacity, capacity, clear, compact, compareTo, duplicate, equals, expand, expand, fill, fill, fillAndReset, fillAndReset, flip, free, get, get, get, get, getChar, getChar, getDouble, getDouble, getEnum, getEnum, getEnumInt, getEnumInt, getEnumSet, getEnumSet, getEnumSetInt, getEnumSetInt, getEnumSetLong, getEnumSetLong, getEnumSetShort, getEnumSetShort, getEnumShort, getEnumShort, getFloat, getFloat, getHexDump, getHexDump, getInt, getInt, getLong, getLong, getMediumInt, getMediumInt, getObject, getObject, getParentBuffer, getPrefixedString, getPrefixedString, getShort, getShort, getSlice, getSlice, getString, getString, getUnsigned, getUnsigned, getUnsignedInt, getUnsignedInt, getUnsignedMediumInt, getUnsignedMediumInt, getUnsignedShort, getUnsignedShort, hasArray, hashCode, hasRemaining, indexOf, isAutoExpand, isAutoShrink, isDerived, isDirect, isReadOnly, limit, limit, mark, markValue, minimumCapacity, minimumCapacity, order, order, position, position, prefixedDataAvailable, prefixedDataAvailable, put, put, put, put, put, put, putChar, putChar, putDouble, putDouble, putEnum, putEnum, putEnumInt, putEnumInt, putEnumSet, putEnumSet, putEnumSetInt, putEnumSetInt, putEnumSetLong, putEnumSetLong, putEnumSetShort, putEnumSetShort, putEnumShort, putEnumShort, putFloat, putFloat, putInt, putInt, putLong, putLong, putMediumInt, putMediumInt, putObject, putPrefixedString, putPrefixedString, putPrefixedString, putPrefixedString, putShort, putShort, putString, putString, putUnsigned, putUnsigned, putUnsigned, putUnsigned, putUnsigned, putUnsigned, putUnsigned, putUnsigned, putUnsignedInt, putUnsignedInt, putUnsignedInt, putUnsignedInt, putUnsignedInt, putUnsignedInt, putUnsignedInt, putUnsignedInt, putUnsignedShort, putUnsignedShort, putUnsignedShort, putUnsignedShort, putUnsignedShort, putUnsignedShort, putUnsignedShort, putUnsignedShort, remaining, reset, rewind, setAutoExpand, setAutoShrink, shrink, skip, slice, sweep, sweep, toString`

    - ### Methods inherited from class org.apache.mina.core.buffer.IoBuffer

      `allocate, allocate, getAllocator, isUseDirectBuffer, normalizeCapacity, setAllocator, setUseDirectBuffer, wrap, wrap, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyHandshakeIoBuffer

          public ProxyHandshakeIoBuffer(IoBuffer buf)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.